Skip to main content
The Quality Evaluator API uses Phrase Platform authentication. Generate an API token for Quality Evaluator in the Phrase Platform Settings, then exchange it for a JWT as described in the Platform Authentication guide. Include the JWT in the Authorization header with every request:
curl -X GET "https://eu.phrase.com/quality-evaluator/v1/aiChecks" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"

Required roles

Some endpoints are restricted by IDM role:
Access levelEndpoints
Any authenticated userGet Quality Profile by Content Group, GET AI Check, List AI Checks, GET Quality Profile, List Quality Profiles
ADMIN or OWNER roleAnalytics, Evaluate segments, Create, Update, Delete AI Check and Quality Profile
Requests to restricted endpoints made by users without the required role will receive a 403 Forbidden response.